#
# spec file for package kdenetwork (Version 2.2.1)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim audiofile autoconf automake binutils cracklib docbook-dsssl-stylesheets docbook_3 fam freetype2 gcc gdbm gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz mesa mesa-devel mesasoft openssl pam perl qt qt-devel qt-extensions rpm sp sp-devel xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdenetwork
Obsoletes:    knet2,kmailcvt,kdict,kdesupport,ksupp2
Provides:     knet2,kmailcvt,kdict,kdesupport,ksupp2
Requires:     ppp
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      KDE networking programs
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Version:      2.2.1
Release:      101
Source0:      %{name}-%{version}.tar.bz2
Source1:      init.lisa
Source2:      rc.config.lisa
Source3:      SuSEconfig.lisa
Patch1:       kppp-security.dif   
Patch2:       lisa.dif
Patch3:       cvs_branch.dif
Patch4:       lanbrowser-security.dif

%description
Some network related programs for KDE 2 such as newsreader and mailer.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package lisa
Version:      2.2.1
Release:      101
Summary:      Network scanner daemon
Group:        X11/KDE/Base
 

%description lisa
LISA scans your network for active hosts and offered services. This services can be used in konqueror by using the URL "lan://localhost". You can set the rc.config variable USE_LISA to "server", if you want to offer this services to all your local clients.

You need not an installed KDE for this package.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package devel
Version:      2.2.1
Release:      101
Provides:     kdesupport-devel
Obsoletes:    kdesupport-devel
Requires:     kdenetwork kdelibs-devel samba-client
Summary:      build enviroment from kdenetwork
Group:        X11/KDE/Development
 

%description devel
The build enviroment from kdenetwork.

You need this package to compile some applications.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%prep
%setup
%patch1
%patch2
%patch3
%patch4

%build
 
export OPT_LEVEL="-O2"
[ ! -x ./configure ] && make -f Makefile.cvs
 
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --disable-debug \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/ppp/peers
install -m 0644 kppp_peers $RPM_BUILD_ROOT/etc/ppp/peers/kppp
#
# setup LISa daemons
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mv $RPM_BUILD_ROOT/opt/kde2/bin/lisa $RPM_BUILD_ROOT/usr/sbin/lisa
ln -sf ../../../usr/sbin/lisa $RPM_BUILD_ROOT/opt/kde2/bin/lisa 
#
# Install lisa init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/lisa
ln -sf ../../etc/init.d/lisa $RPM_BUILD_ROOT/usr/sbin/rclisa
#
# Install rc.config template and SuSEconfig.lisa
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates \
         $RPM_BUILD_ROOT/sbin/conf.d
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.lisa

%post lisa
#!/bin/bash
echo -n "Updating etc/rc.config... "
if [ -x bin/fillup ] ; then
    bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.lisa
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.kdm and"
    echo "update manually."
fi
sbin/insserv etc/init.d/lisa

%postun lisa
sbin/insserv etc/init.d

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc AUTHORS COPYING INSTALL README 
%dir /opt/kde2/share/applnk/.hidden
/opt/kde2/share/applnk/*/*
/opt/kde2/share/apps/*
%config /opt/kde2/share/config/*
/opt/kde2/share/doc/HTML/en/*
/opt/kde2/share/icons/??color/??x??/*/*
/opt/kde2/share/sounds
/opt/kde2/share/services/*
/opt/kde2/bin/[^l]*
/opt/kde2/lib/*
/etc/ppp/peers/kppp
/opt/kde2/share/applnk/.hidden/knewstickerstub.desktop

%files lisa
/opt/kde2/bin/lisa
/usr/sbin/lisa
/usr/sbin/rclisa
/var/adm/fillup-templates/rc.config.lisa
/sbin/conf.d/SuSEconfig.lisa
/etc/init.d/lisa

%files devel
/opt/kde2/include/*

%changelog -n kdenetwork
* Fri Nov 08 2002 - adrian@suse.de
- Security update: A running lisa daemon opened a security hole
  for remote command execution as root. lan:// protocol can be also
  used for remote us er execution with the used user account permissions.
* Sun Sep 23 2001 - adrian@suse.de
- add fix for kmail from cvs. On failing pop account caused all
  others to fail.
* Tue Sep 18 2001 - adrian@suse.de
- add Requires: samba-client to kdenetwork-lisa
* Tue Sep 11 2001 - adrian@suse.de
- update to second try of 2.2.1 tar balls
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- 2.2pre1
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Mon Apr 09 2001 - ro@suse.de
- fixed spec
* Sun Apr 08 2001 - adrian@suse.de
- -O2 for alpha
  update to current KDE_2_1_BRANCH (kppp fix)
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- Obsolete kmailcvt
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Feb 12 2001 - ro@suse.de
- fix compilation
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Wed Oct 25 2000 - adrian@suse.de
- added kppp security patch (not set uid root anymore needed)
  passwordfd dif from arvin
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Sat Jul 29 2000 - adrian@suse.de
- fixed kmail seg fault at startup
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- compile fix
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- Spec file created from kdenetwork-1.90.tar.gz by autospec
